plot.lobo {oce} | R Documentation

## Plot lobo data

### Description

Plot a summary diagram for lobo data.

### Usage

    ## S4 method for signature 'lobo'
    plot(x,
         which=c(1,2,3),
         adorn=NULL,
         mgp=getOption("oceMgp"),
         mar=c(mgp[2]+1, mgp[1]+1, 1, mgp[1]+1.25),
         debug=getOption("oceDebug"),
         ...)

### Arguments

`x` | A `lobo` object, e.g. as read by `read.lobo`.
`which` | A vector of numbers or character strings, indicating the quantities to plot. These are stacked in a single column. The possible values for `which` are as follows: `1` or `"temperature"` for a time series of temperature; `2` or `"salinity"` for salinity; `3` or `"TS"` for a TS diagram; `4` or `"u"` for a timeseries of the u component of velocity; `5` or `"v"` for a timeseries of the v component of velocity; `6` or `"nitrate"` for a timeseries of nitrate concentration; `7` or `"fluorescence"` for a timeseries of fluorescence value.
`adorn` | list of expressions to be executed for the panels in turn, e.g. to adorn the plots. If the number matches the number of panels, then the strings are applied to the appropriate panels, as they are drawn from top-left to bottom-right. If only a single expression is provided, it is used for all panels. (See “Examples”.)
`mgp` | 3-element numerical vector to use for `par(mgp)`, and also for `par(mar)`, computed from this. The default is tighter than the R default, in order to use more space for the data and less for the axes.
`mar` | value to be used with `par("mar")`.
`debug` | a flag that turns on debugging. Set to 1 to get a moderate amount of debugging information, or to 2 to get more.
`...` | optional arguments passed to plotting functions.

### Details

Creates a summary plot for a lobo dataset.

### Value

None.

### Author(s)

Dan Kelley

### References

http://lobo.satlantic.com/ and http://www.mbari.org/lobo/

### See Also

The documentation for `lobo-class` explains the structure of LOBO objects, and also outlines the other functions dealing with them.

### Examples

    library(oce)
    data(lobo)
    plot(lobo)

[Package oce version 0.9-18 Index]